type = fancymenu_layout

layout-meta {
  identifier = changelog_gui
  render_custom_elements_behind_vanilla = false
  last_edited_time = 1781554641078
  is_enabled = true
  randommode = false
  randomgroup = 1
  randomonlyfirsttime = false
  layout_index = 0
  [loading_requirement_container_meta:a40dd01e-29c5-407a-8570-567fbabe1941-1781554371490] = [groups:][instances:]
}

menu_background {
  instance_identifier = 85ae59cf-1a1d-44c6-9289-4c8b3c1998e3-1781432225497
  background_type = color_fancymenu
  show_background = false
  color = #FFC800FF
}

menu_background {
  instance_identifier = 584de297-a9f0-465f-a0a2-2b8e60befeee-1781432225497
  background_type = panorama
  show_background = false
}

menu_background {
  instance_identifier = a829cb80-aea2-4121-a4e4-bd2a84877ee7-1781432225497
  background_type = image
  show_background = false
  slide = false
  repeat_texture = false
  parallax = false
  parallax_intensity_x = 0.02
  parallax_intensity_y = 0.02
  invert_parallax = false
  restart_animated_on_menu_load = false
}

menu_background {
  instance_identifier = 4637f528-b0c3-47a1-9085-e0e65065e387-1781432225497
  background_type = slideshow
  show_background = false
}

menu_background {
  instance_identifier = a8e1dae1-67e4-4efa-a48d-102c9ff7c92d-1781432225497
  background_type = video
  show_background = false
  loop = false
  volume = 1.0
  sound_source = master
  parallax = false
  parallax_intensity_x = 0.02
  parallax_intensity_y = 0.02
  invert_parallax = false
  play_in_editor = true
}

menu_background {
  instance_identifier = 44cb21d7-cfac-4839-bb0a-8f28b695dede-1781432225497
  background_type = video_mcef
  show_background = false
  loop = false
  volume = 1.0
  sound_source = master
  parallax = false
  parallax_intensity_x = 0.02
  parallax_intensity_y = 0.02
  invert_parallax = false
}

menu_background {
  instance_identifier = af9f30c9-ac48-49a7-b58b-dd7a9a58a410-1781432225497
  background_type = browser
  show_background = false
  url = https://docs.fancymenu.net
  consume_mouse_clicks = true
  consume_mouse_scrolls = true
  consume_keyboard_presses = true
  process_mouse_clicks = true
  process_mouse_scrolls = true
  process_keyboard_presses = true
  hide_video_controls = false
  loop_videos = false
  mute_media = false
  media_volume = 1.0
}

menu_background {
  instance_identifier = 2d78e4b5-e423-4fe4-9653-768afb4c0d71-1781432225497
  background_type = glsl
  show_background = false
  inline_shader_source = 
  buffer_a_inline_source = 
  buffer_b_inline_source = 
  buffer_c_inline_source = 
  buffer_d_inline_source = 
  image_ichannel0_input = none
  image_ichannel1_input = none
  image_ichannel2_input = none
  image_ichannel3_input = none
  buffer_a_ichannel0_input = none
  buffer_a_ichannel1_input = none
  buffer_a_ichannel2_input = none
  buffer_a_ichannel3_input = none
  buffer_b_ichannel0_input = none
  buffer_b_ichannel1_input = none
  buffer_b_ichannel2_input = none
  buffer_b_ichannel3_input = none
  buffer_c_ichannel0_input = none
  buffer_c_ichannel1_input = none
  buffer_c_ichannel2_input = none
  buffer_c_ichannel3_input = none
  buffer_d_ichannel0_input = none
  buffer_d_ichannel1_input = none
  buffer_d_ichannel2_input = none
  buffer_d_ichannel3_input = none
  compile_mode = auto
  force_shadertoy_compatibility = true
  freeze_time = false
  time_scale = 1.0
  enable_blending = true
  use_input = true
  mouse_position_requires_hold = false
  opacity_multiplier = 1.0
  show_compile_errors = true
}

decoration_overlay {
  overlay_type = browser
  instance_identifier = 84315a5c-d7e1-484f-ae0f-ce7a02f345f0-1781432225497
  show_decoration_overlay = false
  url = https://docs.fancymenu.net
  consume_mouse_clicks = true
  consume_mouse_scrolls = true
  consume_keyboard_presses = true
  process_mouse_clicks = true
  process_mouse_scrolls = true
  process_keyboard_presses = true
  hide_video_controls = false
  loop_videos = false
  mute_media = false
  media_volume = 1.0
}

decoration_overlay {
  overlay_type = glsl
  instance_identifier = dfd28f96-55a4-467b-bb9a-eb075ca4655c-1781432225497
  show_decoration_overlay = false
  inline_shader_source = 
  buffer_a_inline_source = 
  buffer_b_inline_source = 
  buffer_c_inline_source = 
  buffer_d_inline_source = 
  image_ichannel0_input = none
  image_ichannel1_input = none
  image_ichannel2_input = none
  image_ichannel3_input = none
  buffer_a_ichannel0_input = none
  buffer_a_ichannel1_input = none
  buffer_a_ichannel2_input = none
  buffer_a_ichannel3_input = none
  buffer_b_ichannel0_input = none
  buffer_b_ichannel1_input = none
  buffer_b_ichannel2_input = none
  buffer_b_ichannel3_input = none
  buffer_c_ichannel0_input = none
  buffer_c_ichannel1_input = none
  buffer_c_ichannel2_input = none
  buffer_c_ichannel3_input = none
  buffer_d_ichannel0_input = none
  buffer_d_ichannel1_input = none
  buffer_d_ichannel2_input = none
  buffer_d_ichannel3_input = none
  compile_mode = auto
  force_shadertoy_compatibility = true
  freeze_time = false
  time_scale = 1.0
  enable_blending = true
  use_input = true
  mouse_position_requires_hold = false
  opacity_multiplier = 1.0
  show_compile_errors = true
}

decoration_overlay {
  overlay_type = buddy
  instance_identifier = 205cbe60-786c-4546-aa61-385eb4e1798c-1781463125614
  show_decoration_overlay = false
  buddy_hunger_decay_per_tick = 0.005
  buddy_happiness_decay_per_tick = 0.003
  buddy_fun_decay_per_tick = 0.002
  buddy_energy_decay_per_tick = 0.002
  buddy_energy_sleep_regen_per_tick = 0.03
  buddy_play_energy_drain_per_tick = 0.03
  buddy_play_fun_gain_per_tick = 0.05
  buddy_play_happiness_gain_per_tick = 0.01
  buddy_play_hunger_drain_per_tick = 0.01
  buddy_chase_energy_drain_per_tick = 0.024
  buddy_chase_hunger_drain_per_tick = 0.005
  buddy_hop_energy_drain_per_tick = 0.005
  buddy_hop_hunger_drain_per_tick = 0.002
  buddy_excited_energy_drain_per_tick = 0.01
  buddy_excited_happiness_gain_per_tick = 0.01
  buddy_excited_hunger_drain_per_tick = 0.003
  buddy_running_energy_drain_per_tick = 0.01
  buddy_running_hunger_drain_per_tick = 0.005
  buddy_food_hunger_gain = 20.0
  buddy_food_happiness_gain = 5.0
  buddy_pet_happiness_gain = 15.0
  buddy_wakeup_happiness_penalty = 2.5
  buddy_max_poops_cap = 10
  buddy_can_die = true
}

decoration_overlay {
  overlay_type = string_lights
  instance_identifier = 57a639bb-7b9f-481c-9cf4-6c29b1193a68-1781432225497
  show_decoration_overlay = false
  string_lights_scale = 1.0
  string_lights_wind_strength = 1.0
  string_lights_flicker_speed = 1.0
  string_lights_left_center_to_top_center = true
  string_lights_right_center_to_top_center = true
  string_lights_bottom_left_to_top_center = false
  string_lights_bottom_right_to_top_center = false
  string_lights_top_left_to_top_right = true
  string_lights_bottom_left_to_bottom_right = false
  string_lights_loose_left_top = false
  string_lights_loose_right_top = false
  string_lights_left_center_to_top_center_christmas_mode = false
  string_lights_right_center_to_top_center_christmas_mode = false
  string_lights_bottom_left_to_top_center_christmas_mode = false
  string_lights_bottom_right_to_top_center_christmas_mode = false
  string_lights_top_left_to_top_right_christmas_mode = false
  string_lights_bottom_left_to_bottom_right_christmas_mode = false
  string_lights_loose_left_top_christmas_mode = false
  string_lights_loose_right_top_christmas_mode = false
  string_lights_left_center_to_top_center_color_hex = #FFD27A
  string_lights_right_center_to_top_center_color_hex = #FFD27A
  string_lights_bottom_left_to_top_center_color_hex = #FFD27A
  string_lights_bottom_right_to_top_center_color_hex = #FFD27A
  string_lights_top_left_to_top_right_color_hex = #FFD27A
  string_lights_bottom_left_to_bottom_right_color_hex = #FFD27A
  string_lights_loose_left_top_color_hex = #FFD27A
  string_lights_loose_right_top_color_hex = #FFD27A
}

decoration_overlay {
  overlay_type = fireworks
  instance_identifier = 8dc0b5f1-aa8d-4321-aa19-7cb2d1b3b721-1781432225497
  show_decoration_overlay = false
  fireworks_scale = 1.0
  fireworks_explosion_size = 1.0
  fireworks_amount = 1.0
  fireworks_show_rockets = true
}

decoration_overlay {
  overlay_type = snowfall
  instance_identifier = 58b39cec-a3cb-4031-a9be-641ffd49838c-1781432225497
  show_decoration_overlay = false
  snow_intensity = 1.0
  snow_scale = 1.0
  snow_speed = 1.0
  snow_accumulation = true
  snow_color_hex = #FFFFFF
}

decoration_overlay {
  overlay_type = rainfall
  instance_identifier = daea98ab-a72a-4d4a-9140-ebdbf15a6465-1781432225497
  show_decoration_overlay = false
  rain_intensity = 1.0
  rain_scale = 1.0
  rain_thunder_brightness = 1.0
  rain_puddles = true
  rain_drips = true
  rain_thunder = false
  rain_color_hex = #CFE7FF
}

decoration_overlay {
  overlay_type = fireflies
  instance_identifier = 0eda62ee-c27e-489b-b290-3b1995e9c157-1781432225497
  show_decoration_overlay = false
  firefly_group_density = 1.0
  firefly_group_amount = 1.0
  firefly_group_size = 1.0
  firefly_scale = 1.0
  firefly_follow_mouse = true
  firefly_landing = true
  firefly_color_hex = #FFE08A
}

decoration_overlay {
  overlay_type = leaves
  instance_identifier = 2e73ec85-cf5d-4dc3-9b83-34e57b1e7df4-1781432225497
  show_decoration_overlay = false
  leaves_density = 1.0
  leaves_wind_intensity = 1.0
  leaves_wind_blows = true
  leaves_fall_speed = 1.0
  leaves_scale = 1.0
  leaves_color_start_hex = #7BA84F
  leaves_color_end_hex = #D58A3B
}

decoration_overlay {
  overlay_type = confetti
  instance_identifier = 7a326a1e-1033-424a-b14a-3b7c0bf6bee1-1781432225497
  show_decoration_overlay = false
  confetti_scale = 1.0
  confetti_fall_speed = 1.0
  confetti_burst_density = 1.0
  confetti_burst_amount = 1.0
  confetti_particle_cap = 500
  confetti_color_mix_mode = true
  confetti_mouse_click_mode = false
  confetti_color_hex = #FFFFFF
}

customization {
  action = backgroundoptions
  keepaspectratio = false
}

scroll_list_customization {
  preserve_scroll_list_header_footer_aspect_ratio = true
  render_scroll_list_header_shadow = true
  render_scroll_list_footer_shadow = true
  show_scroll_list_header_footer_preview_in_editor = false
  repeat_scroll_list_header_texture = false
  repeat_scroll_list_footer_texture = false
  show_screen_background_overlay_on_custom_background = false
  apply_vanilla_background_blur = false
}

layout_action_executable_blocks {
}

element {
  element_type = shape
  instance_identifier = d1a1789b-8c25-40db-9529-0b4be176e78f-1781554413554
  appearance_delay = no_delay
  disappearance_delay = no_delay
  fade_in_v2 = no_fading
  fade_out = no_fading
  auto_sizing = false
  auto_sizing_base_screen_width = 1920
  auto_sizing_base_screen_height = 1010
  sticky_anchor = false
  anchor_point = mid-centered
  x = -30
  y = -50
  width = 100
  height = 100
  stay_on_screen = true
  element_loading_requirement_container_identifier = 1fa67281-5906-402f-b03a-e64adc220719-1781554413554
  [loading_requirement_container_meta:1fa67281-5906-402f-b03a-e64adc220719-1781554413554] = [groups:][instances:]
  enable_parallax = false
  invert_parallax = false
  animated_offset_x = 0
  animated_offset_y = 0
  load_once_per_session = false
  layer_hidden_in_editor = false
  advanced_rotation_mode = false
  advanced_vertical_tilt_mode = false
  advanced_horizontal_tilt_mode = false
  should_be_affected_by_decoration_overlays = false
  in_editor_color = #FFC800FF
  advanced_posx = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"elementposx","values":{"id":"960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734"}}%!n!%-%!n!%5%!n!%","decimal":"true"}}
  advanced_posy = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"elementposy","values":{"id":"960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734"}}%!n!%-%!n!%5%!n!%","decimal":"true"}}
  advanced_width = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"elementwidth","values":{"id":"960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734"}}%!n!%+%!n!%10%!n!%","decimal":"true"}}
  advanced_height = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"elementheight","values":{"id":"960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734"}}%!n!%+%!n!%10%!n!%","decimal":"true"}}
  stretch_x = false
  stretch_y = false
  appearance_delay_seconds = 1.0
  disappearance_delay_seconds = 1.0
  fade_in_speed = 1.0
  fade_out_speed = 1.0
  base_opacity = 1.0
  parallax_intensity_x = 0.5
  parallax_intensity_y = 0.5
  rotation_degrees = 0.0
  advanced_rotation_degrees = 0.0
  vertical_tilt_degrees = 0.0
  advanced_vertical_tilt_degrees = 0.0
  horizontal_tilt_degrees = 0.0
  advanced_horizontal_tilt_degrees = 0.0
  color = #000000CD
  blur_enabled = false
  blur_radius = 3.0
  corner_radius_top_left = 16.0
  corner_radius_top_right = 16.0
  corner_radius_bottom_right = 16.0
  corner_radius_bottom_left = 16.0
}

element {
  button_element_executable_block_identifier = 9560df85-906b-406c-9f4f-c523de82f6cc-1781432229802
  [executable_action_instance:d1163e24-3cf0-402d-a5de-4091c996ccb9-1781432276096][action_type:closegui] = 
  [executable_action_instance:7c4551eb-b294-4e4e-b6ed-de7106549601-1781433264335][action_type:set_variable] = first_time_loading:false
  [executable_block:9560df85-906b-406c-9f4f-c523de82f6cc-1781432229802][type:generic] = [executables:d1163e24-3cf0-402d-a5de-4091c996ccb9-1781432276096;7c4551eb-b294-4e4e-b6ed-de7106549601-1781433264335;]
  underline_label_on_hover = false
  transparent_background = false
  restartbackgroundanimations = true
  nine_slice_custom_background = false
  label = Close Changelog
  navigatable = true
  widget_active_state_requirement_container_identifier = a36fc946-5b37-4ed8-bd24-2edabe31e631-1781432229802
  [loading_requirement_container_meta:a36fc946-5b37-4ed8-bd24-2edabe31e631-1781432229802] = [groups:][instances:]
  is_template = false
  template_apply_width = false
  template_apply_height = false
  template_apply_posx = false
  template_apply_posy = false
  template_apply_opacity = false
  template_apply_visibility = false
  template_apply_label = false
  template_share_with = buttons
  nine_slice_slider_handle = false
  element_type = custom_button
  instance_identifier = f4e10f21-4c9a-4624-b969-8d7a17c2a28a-1781432229802
  appearance_delay = no_delay
  disappearance_delay = no_delay
  fade_in_v2 = no_fading
  fade_out = no_fading
  auto_sizing = false
  auto_sizing_base_screen_width = 1920
  auto_sizing_base_screen_height = 1010
  sticky_anchor = false
  anchor_point = bottom-centered
  x = -50
  y = -25
  width = 100
  height = 20
  stay_on_screen = true
  element_loading_requirement_container_identifier = 46295be0-7bbb-4b38-ba13-ed9366d0116f-1781432229802
  [loading_requirement_container_meta:46295be0-7bbb-4b38-ba13-ed9366d0116f-1781432229802] = [groups:][instances:]
  enable_parallax = false
  invert_parallax = false
  animated_offset_x = 0
  animated_offset_y = 0
  load_once_per_session = false
  layer_hidden_in_editor = false
  advanced_rotation_mode = false
  advanced_vertical_tilt_mode = false
  advanced_horizontal_tilt_mode = false
  should_be_affected_by_decoration_overlays = true
  in_editor_color = #FFC800FF
  advanced_posx = -2147483648
  advanced_posy = -2147483648
  advanced_width = -2147483648
  advanced_height = -2147483648
  stretch_x = false
  stretch_y = false
  appearance_delay_seconds = 1.0
  disappearance_delay_seconds = 1.0
  fade_in_speed = 1.0
  fade_out_speed = 1.0
  base_opacity = 1.0
  parallax_intensity_x = 0.5
  parallax_intensity_y = 0.5
  rotation_degrees = 0.0
  advanced_rotation_degrees = 0.0
  vertical_tilt_degrees = 0.0
  advanced_vertical_tilt_degrees = 0.0
  horizontal_tilt_degrees = 0.0
  advanced_horizontal_tilt_degrees = 0.0
  label_scale = 1.0
  label_shadow = true
  nine_slice_border_x = 5
  nine_slice_border_y = 5
  nine_slice_slider_handle_border_x = 5
  nine_slice_slider_handle_border_y = 5
}

element {
  interactable = true
  source = {"placeholder":"file_text","values":{"path_or_url":"/kubejs/changelog.md","mode":"all","separator":"\n","last_lines":"1"}}
  source_mode = direct
  shadow = true
  enable_scrolling = true
  auto_line_wrapping = true
  remove_html_breaks = true
  code_block_single_color = #737373FF
  code_block_multi_color = #565656FF
  headline_line_color = #A9A9A9FF
  separation_line_color = #A9A9A9FF
  hyperlink_color = #0771FCFF
  click_event_color = #0771FCFF
  hover_event_color = #0771FCFF
  quote_color = #818181FF
  quote_italic = false
  bullet_list_dot_color = #A9A9A9FF
  parse_markdown = true
  table_show_header = true
  table_alternate_row_colors = true
  table_line_color = #787878FF
  table_header_background_color = #323232FF
  table_row_background_color = #282828FF
  table_alternate_row_color = #3C3C3CFF
  element_type = text_v2
  instance_identifier = 960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734
  appearance_delay = no_delay
  disappearance_delay = no_delay
  fade_in_v2 = no_fading
  fade_out = no_fading
  auto_sizing = true
  auto_sizing_base_screen_width = 1920
  auto_sizing_base_screen_height = 1010
  sticky_anchor = false
  anchor_point = mid-centered
  x = -351
  y = -217
  width = 701
  height = 393
  stay_on_screen = true
  element_loading_requirement_container_identifier = d6af28f4-98c3-4e87-84de-5fafe54d3e69-1781548473734
  [loading_requirement_container_meta:d6af28f4-98c3-4e87-84de-5fafe54d3e69-1781548473734] = [groups:][instances:]
  enable_parallax = false
  invert_parallax = false
  animated_offset_x = 0
  animated_offset_y = 0
  load_once_per_session = false
  layer_hidden_in_editor = false
  advanced_rotation_mode = false
  advanced_vertical_tilt_mode = false
  advanced_horizontal_tilt_mode = false
  should_be_affected_by_decoration_overlays = false
  in_editor_color = #FFC800FF
  advanced_posx = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"guiwidth"}%!n!%/%!n!%2%!n!%-%!n!%{"placeholder":"elementwidth","values":{"id":"960dbf1d-d7ac-4a73-bdcd-dc925a99f69f-1781548473734"}}%!n!%/%!n!%2%!n!%","decimal":"true"}}
  advanced_posy = 20%!n!%
  advanced_width = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"guiwidth"}%!n!%*%!n!%0.73%!n!%","decimal":"true"}}
  advanced_height = {"placeholder":"calc","values":{"expression":"%!n!%{"placeholder":"guiheight"}%!n!%-%!n!%70%!n!%","decimal":"true"}}
  stretch_x = false
  stretch_y = false
  appearance_delay_seconds = 1.0
  disappearance_delay_seconds = 1.0
  fade_in_speed = 1.0
  fade_out_speed = 1.0
  base_opacity = 1.0
  parallax_intensity_x = 0.5
  parallax_intensity_y = 0.5
  rotation_degrees = 0.0
  advanced_rotation_degrees = 0.0
  vertical_tilt_degrees = 0.0
  advanced_vertical_tilt_degrees = 0.0
  horizontal_tilt_degrees = 0.0
  advanced_horizontal_tilt_degrees = 0.0
  base_color = #00c2b8
  scale = 1.0
  text_border = 2
  line_spacing = 2
  quote_indent = 8
  bullet_list_indent = 8
  bullet_list_spacing = 3
  table_line_thickness = 1.0
  table_cell_padding = 8.0
  table_margin = 4.0
}

